Subject: bug#44456: Windows10 doesn't allow either windows keys as hyper?

From: Steve Greenburg <[email-masked]>
Date: Thu, 5 Nov 2020 17:05:10 +0000

The documentation for w32-register-hotkey says it is [h-] so I used that. Using [H-] does work as long as I change the variable before calling w32-register-hot-key like so:

(setq w32-lwindow-modifier 'hyper)
(w32-register-hot-key [H-])
(setq w32-pass-lwindow-to-system nil)

Thanks.

________________________________
From: Eli Zaretskii <[email-masked]>
Sent: Thursday, November 5, 2020 4:54 PM
To: Steve Greenburg <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: bug#44456: Windows10 doesn't allow either windows keys as hyper?

> From: Steve Greenburg <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Thu, 5 Nov 2020 16:48:12 +0000
>
> I believe it's still a bug because I can't get the left windows key to function as hyper without first making it
> function as super. Thus if I execute the following code I get nothing:
>
> (setq w32-lwindow-modifier 'hyper)
> (setq w32-pass-lwindow-to-system nil)
> (w32-register-hot-key [h-])

The Hyper modifier is [H-], not [h-].  Does H- work for you?